SessionControllerQuerySessions Method |
POST /Session/Query/
Gets multiple sessions.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Query")]
public IActionResult QuerySessions(
[FromBodyAttribute] GetSessionsOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Query")>
Public Function QuerySessions (
<FromBodyAttribute> options As GetSessionsOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Query")]
IActionResult^ QuerySessions(
[FromBodyAttribute] GetSessionsOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Query")>]
member QuerySessions :
[<FromBodyAttribute>] options : GetSessionsOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsGetSessionsOptions
An object that carries all needed information about the sessions that needs to be retrieved. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
An array of
SessionData objects, or a status code indicating an error, or an empty array if no results are found.
See Also